org.apache.sysds.runtime.compress.estim

## Class CompressedSizeEstimatorSample

- java.lang.Object
- - org.apache.sysds.runtime.compress.estim.CompressedSizeEstimator
  - - org.apache.sysds.runtime.compress.estim.CompressedSizeEstimatorSample

-     public class CompressedSizeEstimatorSample
      extends CompressedSizeEstimator

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CompressedSizeEstimatorSample(MatrixBlock data, CompressionSettings compSettings, int sampleSize)` CompressedSizeEstimatorSample, samples from the input data and estimates the size of the compressed matrix.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CompressedSizeInfoColGroup` | `estimateCompressedColGroupSize(int[] colIndexes)` Abstract method for extracting Compressed Size Info of specified columns, together in a single ColGroup

    - ### Methods inherited from class org.apache.sysds.runtime.compress.estim.CompressedSizeEstimator

      `computeCompressedSizeInfos, estimateCompressedColGroupSize, estimateCompressedColGroupSize`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CompressedSizeEstimatorSample

          public CompressedSizeEstimatorSample(MatrixBlock data,
                                               CompressionSettings compSettings,
                                               int sampleSize)

      CompressedSizeEstimatorSample, samples from the input data and estimates the size of the compressed matrix.
      Parameters:
        `data` - The input data sampled from
        `compSettings` - The Settings used for the sampling, and compression, contains information such as seed.
        `sampleSize` - Size of the sampling used

  - ### Method Detail

    - #### estimateCompressedColGroupSize

          public CompressedSizeInfoColGroup estimateCompressedColGroupSize(int[] colIndexes)

      Description copied from class: `CompressedSizeEstimator`
      Abstract method for extracting Compressed Size Info of specified columns, together in a single ColGroup
      Specified by:
        `estimateCompressedColGroupSize` in class `CompressedSizeEstimator`
      Parameters:
        `colIndexes` - The Colums to group together inside a ColGroup
      Returns:
        The CompressedSizeInformation associated with the selected ColGroups.

Copyright © 2020 The Apache Software Foundation. All rights reserved.